within SolarHouse;
package Icons "Set of icons"
  block RoomIcon "Icon of the room"
    annotation (Icon(graphics={
          Polygon(
            points={{8,100},{8,-4},{100,-40},{100,40},{40,100},{8,100}},
            lineColor={0,0,255},
            pattern=LinePattern.None,
            fillColor={215,215,215},
            fillPattern=FillPattern.Solid),
          Polygon(
            points={{-100,-40},{8,-4},{100,-40},{40,-100},{-40,-100},{-100,-40}}, 

            lineColor={0,0,255},
            pattern=LinePattern.None,
            fillColor={135,135,135},
            fillPattern=FillPattern.Solid),
          Polygon(points={{-100,40},{-40,100},{40,100},{100,40},{100,-40},{40,
                -100},{-40,-100},{-100,-40},{-100,40}}, lineColor={0,0,0}),
          Polygon(
            points={{42,-46},{42,-72},{46,-70},{46,-44},{42,-46}},
            lineColor={0,0,0},
            fillColor={76,38,0},
            fillPattern=FillPattern.Solid),
          Polygon(
            points={{42,-72},{38,-70},{38,-46},{42,-46},{42,-72}},
            lineColor={0,0,0},
            fillColor={130,65,0},
            fillPattern=FillPattern.Solid),
          Polygon(
            points={{14,-36},{14,-62},{18,-60},{18,-34},{14,-36}},
            lineColor={0,0,0},
            fillColor={76,38,0},
            fillPattern=FillPattern.Solid),
          Polygon(
            points={{14,-62},{10,-60},{10,-34},{14,-36},{14,-62}},
            lineColor={0,0,0},
            fillColor={130,65,0},
            fillPattern=FillPattern.Solid),
          Polygon(
            points={{70,-34},{70,-60},{74,-58},{74,-32},{70,-34}},
            lineColor={0,0,0},
            fillColor={76,38,0},
            fillPattern=FillPattern.Solid),
          Polygon(
            points={{70,-60},{66,-58},{66,-32},{70,-34},{70,-60}},
            lineColor={0,0,0},
            fillColor={130,65,0},
            fillPattern=FillPattern.Solid),
          Polygon(
            points={{10,-34},{42,-20},{74,-32},{42,-46},{10,-34}},
            lineColor={0,0,255},
            pattern=LinePattern.None,
            fillColor={173,87,0},
            fillPattern=FillPattern.Solid),
          Polygon(
            points={{10,-34},{10,-38},{42,-50},{42,-46},{10,-34}},
            lineColor={0,0,0},
            fillColor={130,65,0},
            fillPattern=FillPattern.Forward),
          Polygon(
            points={{42,16},{42,-24},{46,-22},{46,18},{42,16}},
            lineColor={0,0,0},
            fillColor={76,38,0},
            fillPattern=FillPattern.Solid),
          Polygon(
            points={{42,-24},{38,-22},{38,18},{42,16},{42,-24}},
            lineColor={0,0,0},
            fillColor={130,65,0},
            fillPattern=FillPattern.Solid),
          Polygon(
            points={{70,8},{70,-34},{74,-32},{74,10},{70,8}},
            lineColor={0,0,0},
            fillColor={76,38,0},
            fillPattern=FillPattern.Solid),
          Polygon(
            points={{70,-34},{66,-32},{66,10},{70,8},{70,-34}},
            lineColor={0,0,0},
            fillColor={130,65,0},
            fillPattern=FillPattern.Solid),
          Polygon(
            points={{42,-50},{74,-36},{74,-32},{42,-46},{42,-50}},
            lineColor={0,0,0},
            fillColor={76,38,0},
            fillPattern=FillPattern.Solid),
          Polygon(
            points={{70,-12},{38,0},{38,18},{70,8},{70,-12}},
            lineColor={0,0,0},
            fillColor={130,65,0},
            fillPattern=FillPattern.Solid),
          Polygon(
            points={{38,18},{42,20},{74,10},{70,8},{38,18}},
            lineColor={0,0,255},
            pattern=LinePattern.None,
            fillColor={173,87,0},
            fillPattern=FillPattern.Solid),
          Polygon(
            points={{8,-4},{8,100},{-40,100},{-100,40},{-100,-40},{8,-4}},
            lineColor={0,0,255},
            pattern=LinePattern.None,
            fillColor={175,175,175},
            fillPattern=FillPattern.Solid),
          Polygon(
            points={{-78,-4},{-18,16},{-18,94},{-58,82},{-78,62},{-78,-4}},
            lineColor={0,0,0},
            fillColor={127,108,0},
            fillPattern=FillPattern.Solid),
          Polygon(
            points={{-22,18},{-22,52},{-46,44},{-46,10},{-22,18}},
            lineColor={0,0,0},
            fillColor={85,170,255},
            fillPattern=FillPattern.Solid),
          Polygon(
            points={{-50,8},{-50,42},{-74,34},{-74,0},{-50,8}},
            lineColor={0,0,0},
            fillColor={85,170,255},
            fillPattern=FillPattern.Solid),
          Polygon(
            points={{-22,56},{-22,88},{-46,80},{-46,48},{-22,56}},
            lineColor={0,0,0},
            fillColor={85,170,255},
            fillPattern=FillPattern.Solid),
          Polygon(
            points={{-50,46},{-50,80},{-64,76},{-74,66},{-74,38},{-50,46}},
            lineColor={0,0,0},
            fillColor={85,170,255},
            fillPattern=FillPattern.Solid),
          Text(
            extent={{-90,-72},{100,-22}},
            lineColor={255,255,0},
            fillColor={85,170,255},
            fillPattern=FillPattern.Solid,
            textString=
                 "%name")}));

  end RoomIcon;

  block HouseIcon "Icon of the house"
    annotation (Icon(graphics={
          Rectangle(
            extent={{-40,-100},{80,-20}},
            lineColor={0,0,255},
            pattern=LinePattern.None,
            fillColor={0,0,0},
            fillPattern=FillPattern.Solid),
          Polygon(
            points={{-62,-20},{100,-20},{20,32},{-62,-20}},
            lineColor={0,0,255},
            pattern=LinePattern.None,
            fillColor={0,0,0},
            fillPattern=FillPattern.Solid),
          Rectangle(
            extent={{70,26},{58,0}},
            lineColor={0,0,255},
            pattern=LinePattern.None,
            fillColor={0,0,0},
            fillPattern=FillPattern.Solid),
          Rectangle(
            extent={{32,-100},{62,-48}},
            lineColor={0,0,255},
            pattern=LinePattern.None,
            fillColor={255,255,255},
            fillPattern=FillPattern.Solid),
          Rectangle(
            extent={{-24,-30},{8,-56}},
            lineColor={0,0,255},
            pattern=LinePattern.None,
            fillColor={255,255,255},
            fillPattern=FillPattern.Solid),
          Polygon(
            points={{-94,52},{-66,46},{-66,46},{-82,22},{-60,40},{-54,12},{-48,
                40},{-26,24},{-42,46},{-14,52},{-42,58},{-26,80},{-48,64},{-54,
                92},{-60,64},{-82,82},{-66,58},{-94,52}},
            lineColor={0,0,255},
            pattern=LinePattern.None,
            fillColor={255,128,0},
            fillPattern=FillPattern.Solid),
          Ellipse(
            extent={{-66,64},{-42,40}},
            lineColor={0,0,255},
            pattern=LinePattern.None,
            fillColor={255,255,0},
            fillPattern=FillPattern.Solid)}));
  end HouseIcon;
  annotation (Documentation(info="<html>

</html>"));
end Icons;
